Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.formula
Class FormulaMetaFunction

    java.lang.Object
      org.pentaho.di.trans.steps.formula.FormulaMetaFunction

All Implemented Interfaces:
  Cloneable

    public class FormulaMetaFunction

extends Object
implements Cloneable

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`FormulaMetaFunction(Node calcnode)`
`FormulaMetaFunction(Repository rep, long id_step, int nr)`
`FormulaMetaFunction(String fieldName, String formula, int valueType, int valueLength, int valuePrecision, String replaceField)`

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getFieldName()`
`String` | `getFormula()`
`String` | `getReplaceField()`
`int` | `getValueLength()`
`int` | `getValuePrecision()`
`int` | `getValueType()`
`String` | `getXML()`
`void` | `saveRep(Repository rep, long id_transformation, long id_step, int nr)`
`void` | `setFieldName(String fieldName)`
`void` | `setFormula(String formula)`
`void` | `setReplaceField(String replaceField)`
`void` | `setValueLength(int valueLength)`
`void` | `setValuePrecision(int valuePrecision)`
`void` | `setValueType(int valueType)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### FormulaMetaFunction

    public FormulaMetaFunction(String fieldName,
                               String formula,
                               int valueType,
                               int valueLength,
                               int valuePrecision,
                               String replaceField)

Parameters:
  `fieldName` -
  `calcType` -
  `fieldA` -
  `fieldB` -
  `fieldC` -
  `valueType` -
  `valueLength` -
  `valuePrecision` -

### FormulaMetaFunction

    public FormulaMetaFunction(Node calcnode)

### FormulaMetaFunction

    public FormulaMetaFunction(Repository rep,
                               long id_step,
                               int nr)
                        throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getXML

    public String getXML()

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step,
                        int nr)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFieldName

    public String getFieldName()

  Returns:
    Returns the fieldName.

### setFieldName

    public void setFieldName(String fieldName)

  Parameters:
    `fieldName` - The fieldName to set.

### getValueLength

    public int getValueLength()

  Returns:
    Returns the valueLength.

### setValueLength

    public void setValueLength(int valueLength)

  Parameters:
    `valueLength` - The valueLength to set.

### getValuePrecision

    public int getValuePrecision()

  Returns:
    Returns the valuePrecision.

### setValuePrecision

    public void setValuePrecision(int valuePrecision)

  Parameters:
    `valuePrecision` - The valuePrecision to set.

### getValueType

    public int getValueType()

  Returns:
    Returns the valueType.

### setValueType

    public void setValueType(int valueType)

  Parameters:
    `valueType` - The valueType to set.

### getFormula

    public String getFormula()

  Returns:
    the formula

### setFormula

    public void setFormula(String formula)

  Parameters:
    `formula` - the formula to set

### getReplaceField

    public String getReplaceField()

  Returns:
    the replaceField

### setReplaceField

    public void setReplaceField(String replaceField)

  Parameters:
    `replaceField` - the replaceField to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD